---
title: Get
url: https://www.tines.com/docs/api/admin/roles/get/
updated: 2026-04-09T14:16:42+00:00
description: Retrieve details of a specific (default or custom type) role.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Admin](https://www.tines.com/llm/docs/api/admin.md) › [Roles](https://www.tines.com/llm/docs/api/admin/roles.md)*

# Get

*[View on tines.com](https://www.tines.com/docs/api/admin/roles/get/)*

## Description

Retrieve details of a specific (default or custom type) role.

## Request

HTTP Method: **GET**

| Path Parameter | Description             |
| -------------- | ----------------------- |
| role_id        | ID or name of the role. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/admin/roles/<<role_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object describing the role.

### Field description

| Parameter   | Description                                                                      |
| ----------- | -------------------------------------------------------------------------------- |
| id          | Role ID.                                                                         |
| name        | Role name.                                                                       |
| type        | Role type - custom or default.                                                   |
| description | Role description.                                                                |
| permissions | Array of applied permissions.                                                    |
| created_at  | Timestamp describing when the role was created.                                  |
| updated_at  | Timestamp describing when the role was last updated.                             |
| builder     | Boolean indicating whether this role grants builder / story editing permissions. |

### Sample response

```json
{
  "id": "123",
  "name": "MY_ROLE",
  "type": "custom",
  "description": "My fantastic role",
  "permissions": ["STORY_CREATE"],
  "created_at": "2019-11-03T09:57:49.537Z",
  "updated_at": "2019-11-03T09:57:49.537Z",
  "builder": true
}
```
